microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Delete a session file
DELETE
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files
Deletes the specified file or directory from the session sandbox.
When recursive is false, deleting a non-empty directory returns 409 Conflict.
Sökvägsparametrar
agent_name
string
krävs
The name of the agent.
agent_session_id
string
krävs
The session ID.
Frågeparametrar
path
string
krävs
The file or directory path to delete, relative to the session home directory.
recursive
boolean
Whether to recursively delete directory contents. The service defaults to false if a value is not specified by the caller.
api-version
string
krävs
The API version to use for this operation.
Svar
There is no content to send for this request, but the headers may be useful.
Förfrågan
DELETE /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files HTTP/1.1
Response
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json